Polymarket

Polymarket PnL Leaderboard

Leaderboard API

POST/v2/semantic/retrieve/parameterized

Query Parameters

wallet_addressstring
Wallet address filter. Use "ALL" to return all wallets, or provide a specific address to filter results to that wallet.
Example:
"ALL"
leaderboard_periodstring
Leaderboard time window. Allowed values: 1d, 3d, 7d, 30d. Each period has an independent ranking.
Example:
"1d"

Response Fields

FieldTypeDescription
rankIntegerLeaderboard rank within the selected period
addressStringWallet address
total_pnlString (Decimal)Total profit and loss for the period (negative values indicate a loss)
roiString (Decimal)Return on investment
win_rateString (Decimal)Win percentage (0–1)
sharpe_ratioString (Decimal)Risk-adjusted performance metric
total_volumeString (Decimal)Total trading volume
markets_tradedIntegerNumber of unique markets traded
total_tradesIntegerTotal number of trades executed
Polymarket PnL Leaderboard
curl --request POST \
  --url https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized \
  --header 'Authorization: Bearer YOUR_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
  "agent_id": 579,
  "params": {
    "wallet_address": "ALL",
    "leaderboard_period": "1d"
  },
  "pagination": {
    "limit": 10,
    "offset": 0
  },
  "formatter_config": {
    "format_type": "raw"
  }
}'
200Example response
{
  "timestamp": "",
  "params": {
    "leaderboard_period": "1d",
    "max_sharpe_ratio": "-1.0",
    "max_total_pnl": "-1.0",
    "max_win_rate": "-1.0",
    "min_sharpe_ratio": "-1.0",
    "min_total_pnl": "-1.0",
    "min_win_rate": "-1.0",
    "wallet_address": "ALL"
  },
  "pagination": {
    "limit": 50,
    "offset": 0,
    "has_more": true
  },
  "data": {
    "results": [
      {
        "address": "0x0720803c7cb0d0c5a928787b3b7ea148c6831cdb",
        "markets_traded": 1,
        "rank": 1,
        "roi": "0.414952",
        "sharpe_ratio": null,
        "total_pnl": "1494121.7168",
        "total_trades": 69,
        "total_volume": "3600711.99",
        "win_rate": "1.0000"
      },
      {
        "address": "0xe90bec87d9ef430f27f9dcfe72c34b76967d5da2",
        "markets_traded": 50,
        "rank": 2,
        "roi": "0.355880",
        "sharpe_ratio": "0.2847",
        "total_pnl": "1092294.3287",
        "total_trades": 1829,
        "total_volume": "3069274.68",
        "win_rate": "0.6290"
      }
    ]
  }
}